VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Here is a list of all class members with links to the classes they belong to:

### - v -

- validate() : CCommandMenuItem
- ValidateCallbackFunction : CCommandMenuItem
- validateCommandMenuItem() : CommandMenuItemTargetAdapter , VST3Editor , ICommandMenuItemTarget
- validateFunc : CCommandMenuItem
- validateSelection() : CDataBrowser
- value : CControl , ConfigValue , Optional< T >
- value_type : UTF8CodePointIterator< BaseIterator >
- valueAsString() : IValueConverter
- ValueBeginEditCallback : IControlViewExtension
- valueChanged() : CColorChooser , CControl , CFontChooser , CSegmentButton , CSplashScreen , CTextEdit , CTextLabel , IControlListener , CScrollView , CTabView , DelegationController , UIDescriptionViewSwitchController , VST3Editor , GroupController , CDataBrowser , PadController
- valueColor : CSlider::Impl
- ValueEndEditCallback : IControlViewExtension
- valueFromPoint() : CKnobBase
- ValueList : IModelBinding
- ValuePerformEditCallback : IControlViewExtension
- valuePrecision : CParamDisplay
- valueToPoint() : CKnobBase
- valueToStep() : IStepValue
- ValueToStringFunction : CParamDisplay
- valueToStringFunction : CParamDisplay
- ValueToStringFunction2 : CParamDisplay
- ValueToStringUserData : CParamDisplay
- variableBaseNode : UIDescription::Impl
- verifyView() : DelegationController , IController , IVST3EditorDelegate , VST3EditorDelegate , VST3Editor , GroupController , PadController
- version : Info
- VerticalSwitchCreator() : VerticalSwitchCreator
- view : FinishedMessage , ModalViewSession
- viewAddedRemovedObserver : CFrame::Impl
- viewAttached() : IViewListener , ViewListenerAdapter
- ViewAttributes : CView::Impl
- ViewContainerCreator() : ViewContainerCreator
- ViewContainerListenerDispatcher : CViewContainer::Impl
- viewContainerListeners : CViewContainer::Impl
- viewContainerTransformChanged() : ViewContainerListenerAdapter , IViewContainerListener , CLayeredViewContainer
- viewContainerViewAdded() : CShadowViewContainer , IViewContainerListener , ViewContainerListenerAdapter
- viewContainerViewRemoved() : CShadowViewContainer , IViewContainerListener , ViewContainerListenerAdapter
- viewContainerViewZOrderChanged() : IViewContainerListener , ViewContainerListenerAdapter , CShadowViewContainer
- ViewCreator() : ViewCreator
- ViewEventListenerDispatcher : CView::Impl
- viewEventListeners : CView::Impl
- viewFactory : UIDescription::Impl
- viewFlags : CView::Impl
- ViewList : CViewContainer , CFrame::Impl
- ViewListenerDispatcher : CView::Impl
- viewListeners : CView::Impl
- viewLostFocus() : ViewListenerAdapter , IViewListener
- viewMouseListener : CView::Impl
- ViewMouseListenerDispatcher : CView::Impl
- viewName : Config , VST3Editor
- viewOnEvent() : IViewEventListener , CControl::Impl , ViewEventListenerAdapter
- viewOnMouseEnabled() : IViewListener , ViewListenerAdapter
- viewRemoved() : IViewListener , ViewListenerAdapter
- viewResizeAnimationTime : CRowColumnView
- ViewSizeAnimation() : ViewSizeAnimation
- viewSizeChanged() : CScrollView , ViewListenerAdapter , IViewListener
- viewSwitch : IViewSwitchController
- viewTookFocus() : IViewListener , ViewListenerAdapter
- viewToRemove : ExchangeViewAnimation
- viewWillDelete() : CScrollView , IViewListener , ViewListenerAdapter
- virt : KeyboardEvent , VstKeyCode
- virtualKey : CMenuItem::Impl
- vmax : CControl::Impl
- vmin : CControl::Impl
- vsb : CScrollView
- VST3Editor() : VST3Editor
- VSTGUIEditorInterface() : VSTGUIEditorInterface
- VuMeterCreator() : VuMeterCreator